.. _str: https://docs.python.org/2/library/stdtypes.html

.. _vim.fault.VmConfigFault: ../../vim/fault/VmConfigFault.rst


vim.fault.VmHostAffinityRuleViolation
=====================================
    :extends:

        `vim.fault.VmConfigFault`_

  The virtual machine if powered on or VMotioned, would violate a VM-Host affinity rule.

Attributes:

    vmName (`str`_)

    hostName (`str`_)




